commit:     1d6a5da916514823c2e3638718bc39d8e1f16427
Author:     Nicolas PARLANT <nicolas.parlant <AT> parhuet <DOT> fr>
AuthorDate: Mon Dec 15 10:56:59 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Dec 15 16:23:01 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d6a5da9

media-sound/sonata: add 1.7.3

one change: remove the outdated HOMEPAGE

Signed-off-by: Nicolas PARLANT <nicolas.parlant <AT> parhuet.fr>
Part-of: https://github.com/gentoo/gentoo/pull/45039
Closes: https://github.com/gentoo/gentoo/pull/45039
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-sound/sonata/Manifest            |  1 +
 media-sound/sonata/sonata-1.7.3.ebuild | 46 ++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/media-sound/sonata/Manifest b/media-sound/sonata/Manifest
index 15f8f6513533..dff26cd5ca9c 100644
--- a/media-sound/sonata/Manifest
+++ b/media-sound/sonata/Manifest
@@ -1,2 +1,3 @@
 DIST sonata-1.7.0.tar.gz 2258617 BLAKE2B 
704f673737095351f88f64bc858db465b26d8e0fdb34cbb4d3917abe65ec276ec3e6419edd41d9e8b193a886c8dfd178b5fc94daa4a178aae817c2d3024c266b
 SHA512 
c60c16b6cca439c2063069ceea62afdb9f09c9735d36ba42e2b5b1caf07506f15d722d75c68e355db4615b937a728679aeae1619527ac8267feec111635c27f5
 DIST sonata-1.7.2.tar.gz 2257885 BLAKE2B 
222bc515a6af7dac402fc26de6888effbe557e73865549855e37132fd40311a34b93512dff8d1df9bfbac7d2466f2c38fa5e22b6b2d4906683998422b95db427
 SHA512 
10b868cdab744f2c40f89763b23d851849e087bc3170538aaa1f229d3adb1e2e7c7805649ebb7bf6a82f8265ec9f4d78528122450f3d599c0149c4e66ceac163
+DIST sonata-1.7.3.tar.gz 2257912 BLAKE2B 
544bd1d1e3c12398c2538bb9f4e2ad53c60abffd23a3dfa29c9b596fabb118c1bbfdebb625bb052417f0c34174e1baaa517d194cb767fc9768320414bcd9da58
 SHA512 
ffed98470164201958f3875d5a734d42f4ddf51b9f83338f771980326725b92642d0ac62bebca76ad73038d8213dc971d7da3d871c4751316cbd6c5ad76859c6

diff --git a/media-sound/sonata/sonata-1.7.3.ebuild 
b/media-sound/sonata/sonata-1.7.3.ebuild
new file mode 100644
index 000000000000..e66380bdb1c1
--- /dev/null
+++ b/media-sound/sonata/sonata-1.7.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=setuptools
+inherit desktop distutils-r1 xdg
+
+DESCRIPTION="Elegant GTK+ music client for the Music Player Daemon (MPD)"
+HOMEPAGE="https://github.com/multani/sonata";
+SRC_URI="https://github.com/multani/sonata/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="dbus taglib"
+
+RDEPEND="
+       dev-libs/glib:2[introspection]
+       x11-libs/gdk-pixbuf:2[introspection]
+       x11-libs/gtk+:3[introspection]
+       x11-libs/pango[introspection]
+       $(python_gen_cond_dep '
+               dev-python/pygobject:3[${PYTHON_USEDEP}]
+               dev-python/python-mpd2[${PYTHON_USEDEP}]
+               dbus? ( dev-python/dbus-python[${PYTHON_USEDEP}] )
+               taglib? ( dev-python/tagpy[${PYTHON_USEDEP}] )
+       ')
+"
+BDEPEND="sys-devel/gettext"
+
+distutils_enable_tests unittest
+
+src_compile() {
+       distutils-r1_src_compile
+       # see bug #956771
+       find "${WORKDIR}" -name 'genversion.*' -delete || die
+}
+
+src_install() {
+       distutils-r1_src_install
+       doicon -s 128 sonata/pixmaps/sonata.png
+       rm -r "${ED}"/usr/share/sonata || die
+}

Reply via email to